<template>
    <div class="white-block">
        <div class="row">
            <div class="padding">
                <h3>СМС Информирование
                    <ui-inline-help>
                        Расширенный пакет информациионных СМС для вашего удобства.
                    </ui-inline-help>
                </h3>

            </div>
        </div>
        <hr>
        <div class="padding ui-checkbox">
            <ui-checkbox v-model="checked"></ui-checkbox>
            <p style="font-size: 14px;cursor: pointer;" @click="checked = !checked">
                Расширенный пакет информационных СМС за 59 рублей, который включает в себя: уведомление о скорой оплате, уведомление о закрытии долга и другие. Пакет действует в рамках текущей заявки и займа.
            </p>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'block-sms-info',
        props: {
            precheck: {
                type: Boolean,
                required: true
            }
        },
        created () {
            this.checked = this.precheck;
        },
        data () {
            return {
                checked: false
            }
        },
        watch: {
            checked(state) {
                this.$emit('input', state)
                this.$emit('changeLegalState', state)
            },
            legal(state) {
                this.checked = state
            }
        },
        methods: {
            openRules () {

            }
        }
    }
</script>

<style scoped>
    p, h3 {
        display: inline-block;
    }
</style>
